summaryrefslogtreecommitdiff
path: root/SCAN-RSS
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-03-08 15:45:38 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-03-08 15:45:38 +0100
commitb8e48f02cee48e69de28ad0ac32b74eb86f5d575 (patch)
tree9c3af315fdf98a1e434a5859c1404f6a3efdd272 /SCAN-RSS
parentccf4afd953b46eb6916ec13d5bcc311a0c97c7a7 (diff)
SCAN-RSS: handle alloc/load/free overhead as parameters; vary them for fgbs24a
Diffstat (limited to 'SCAN-RSS')
-rw-r--r--SCAN-RSS/host/app.c4
-rwxr-xr-xSCAN-RSS/run-fgbs24a.sh9
2 files changed, 10 insertions, 3 deletions
diff --git a/SCAN-RSS/host/app.c b/SCAN-RSS/host/app.c
index f4e37e9..b0be68b 100644
--- a/SCAN-RSS/host/app.c
+++ b/SCAN-RSS/host/app.c
@@ -311,8 +311,10 @@ int main(int argc, char **argv) {
}
if (status) {
printf("[" ANSI_COLOR_GREEN "OK" ANSI_COLOR_RESET "] Outputs are equal\n");
- printf("[::] SCAN-RSS UPMEM | n_dpus=%d n_tasklets=%d e_type=%s block_size_B=%d b_unroll=%d n_elements=%d ",
+ printf("[::] SCAN-RSS UPMEM | n_dpus=%d n_tasklets=%d e_type=%s block_size_B=%d b_unroll=%d n_elements=%d",
NR_DPUS, NR_TASKLETS, XSTR(T), BLOCK_SIZE, UNROLL, input_size);
+ printf(" b_with_alloc_overhead=%d b_with_load_overhead=%d b_with_free_overhead=%d ",
+ WITH_ALLOC_OVERHEAD, WITH_LOAD_OVERHEAD, WITH_FREE_OVERHEAD);
printf("| latency_alloc_us=%f latency_load_us=%f latency_cpu_us=%f latency_write_us=%f latency_kernel_us=%f latency_sync_us=%f latency_read_us=%f latency_free_us=%f",
timer.time[0],
timer.time[1],
diff --git a/SCAN-RSS/run-fgbs24a.sh b/SCAN-RSS/run-fgbs24a.sh
index af3a8c9..9bfe17c 100755
--- a/SCAN-RSS/run-fgbs24a.sh
+++ b/SCAN-RSS/run-fgbs24a.sh
@@ -4,6 +4,8 @@ set -e
mkdir -p $(hostname)
+ts=$(date +%Y%m%d)
+
(
echo "prim-benchmarks SCAN-RSS (dfatool fgbs24a edition)"
@@ -11,13 +13,16 @@ echo "Started at $(date)"
echo "Revision $(git describe --always)"
# >2048 is not part of upstream
-for nr_dpus in 2543 2304 2048; do
+for nr_dpus in 2304 2048 2543; do
for nr_tasklets in 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
fi
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
+ fi
done
done
echo "Completed at $(date)"
-) | tee "$(hostname)/fgbs24a.txt"
+) | tee "$(hostname)/${ts}-fgbs24a.txt"